Subject: Advice and Sears 20" Drill Press

From: [email-masked] (Rich Gagnon)
Date: 15 Mar 1994 15:25:10 GMT

Has anyone had any experience with the Sears 20" floor drill press.  It is
obviously not made it USA, and seems to resemble the Delta 20" model, though it
has some nicer features and costs less ($599).  I am putting together a
welding/fabrication shop (one person, not production), and would like to get a
drill that is heavy, has replacable bearings, and has a table with T slots.  Any
opinions or comments on any other qualities that I should look for?

-- 
	Rich Gagnon  		Internet:[email-masked]
	NCAR - RSG  			
	P.O Box 3000		Fax:	 303-497-2044
	Boulder, CO 80307-3000	Voice:	 303-497-2076